%global modname htmlmin2
%global commit  220b1d16442eb4b6fafed338ee3b61f698a01e63

Name:           python-%{modname}
Version:        0.1.13
Release:        1%{?dist}.4
Summary:        An HTML Minifier
License:        BSD-3-Clause
URL:            https://github.com/mankyd/htmlmin
Source0:        %{url}/archive/%{commit}/%{modname}-%{commit}.tar.gz
# Original htmlmin Github project is abandoned.
# Forked htmlmin2 is available only as a .whl at pypi.org.
# Re-creating the source of htmlmin2 0.1.13 using this patch.
# This patch is the output of "git diff command" after:
# * checking out the latest commit from Github project mentioned above,
# * extracting .whl file of htmlmin2 package downloaded from pypi.org,
# * changing the name to "htmlmin2" in setup.py file.
Patch0:         htmlmin2-0.1.13.patch
BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
A configurable HTML Minifier with safety features.}

%description %_description

%package -n python3-%{modname}
Summary:        %{summary}

%description -n python3-%{modname} %_description


%package -n htmlmin
Summary:        HTML minifier command line utility
Requires:       %{py3_dist %{modname}} = %{?epoch:%{epoch}:}%{version}-%{release}

%description -n htmlmin
HTML minifier command line utility


%prep
%autosetup -p1 -n htmlmin-%{commit}

%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files -l htmlmin

%check
%tox


%files -n python3-%{modname} -f %{pyproject_files}
%doc README.rst
%license LICENSE

%files -n htmlmin
%{_bindir}/htmlmin
%doc README.rst
%license LICENSE
%changelog
* Fri Nov 15 2024 Oleg Girko <ol@infoserver.lv> - 0.1.13-1
- Initial package
